[Browser]Can't share an image to Message from "Add to Home" page.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Browser
RESOLVED WORKSFORME
2 years ago
2 years ago

People

(Reporter: Lance(leave from Mozilla), Unassigned)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)
regression

Firefox Tracking Flags

(b2g-v2.2 unaffected, b2g-master affected)

Details

(Whiteboard: [2.5-aries-test-run-1])

Attachments

(3 attachments)

(Reporter)

Description

2 years ago
Created attachment 8652768 [details]
logcat_0342.txt

[1.Description]:
[Aries KK v2.5][Flame KK v2.5][Browser]When you are visting a website and try to share an image to message, device will back to Browser app automatically.
Found time:03:42
See attachment:Aries_v2.5.3gp and logcat_0342.txt
.
[2.Testing Steps]: 
1.Launch Browser.
2.Visit some websites.
3.Tap Menu -> "Add to home screen".
4.Long tap the image.
5.Tap "Share Image" -> "Message".
6.Tap "Save Image".

[3.Expected Result]: 
5.Device should enter edit message page.
6.Device should save the image successfully.

[4.Actual Result]: 
5.After 1s, device will back to Browser app.
6.Device can't save the image.

[5.Reproduction build]: 
Device: Aries KK 2.5(Affected)
Build ID               20150825220518
Gaia Revision          a8a462ab783a5bbab508d3c29483cff260672e3c
Gaia Date              2015-08-25 04:21:06
Gecko Revision         https://hg.mozilla.org/mozilla-

central/rev/c46370eea81a9860ae77d1f0c7776c24e816138e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150825.212416
Firmware Date          Tue Aug 25 21:24:24 UTC 2015
Bootloader             s1

Device: Flame KK 2.5(Affected)
Build ID               20150825064341
Gaia Revision          b441bde54293bea5254dc340845effe951fa3906
Gaia Date              2015-08-24 17:47:19
Gecko Revision         https://hg.mozilla.org/mozilla-

central/rev/f3df9cd1701f617418ebf1a7a5947150d5d24939
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150825.102309
Firmware Date          Tue Aug 25 10:23:22 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
1.And tap the "Copy Image", the function also can't come true. 
2.Bug 1179156 still exists on Flame 2.2, so we can't verify it on 2.2.
(Reporter)

Updated

2 years ago
status-b2g-master: --- → affected
(Reporter)

Comment 1

2 years ago
Created attachment 8652770 [details]
Aries_v2.5.3gp
Is this a regression from 2.2?
Keywords: qawanted
This issue does NOT reproduce on Flame 2.2 builds.
Long tapping the favicon image on the 'Add to Homescreen' page does not bring up a share activity menu.

Environmental Variables:
Device: Flame 2.2
BuildID: 20150826032503
Gaia: 335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gecko: 1effc4cb6414
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 37.0 (2.2) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
status-b2g-v2.2: --- → unaffected
Flags: needinfo?(jmercado)
Keywords: qawanted
QA Contact: mshuman
QA Whiteboard: [QAnalyst-Triage+]
Flags: needinfo?(jmercado)
Keywords: regression
After Bug 1179156 is fixed, this current bug can't be repro on latest Flame KK v2.5 and Aries KK v2.5 by the STR in comment 0, so close this bug. If anyone can repro it, please reopen again.


Actual results: When long tapping the image (or tapping "x"), the image option menu will not pop up, then sharing bookmark icon from "Add to Home" page is unavailable and invalid.
See attachment: verify_FlameKK_v2.5.3gp
Reproduce rate: 0/10


Device: Flame KK 2.5 (unaffected)
Build ID               20150831150202
Gaia Revision          c80e8ff25425b007181fd6e3de0500a0358fab37
Gaia Date              2015-08-31 16:35:09
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/cafb1c90f794a73100a8f0afb9fe3301df0f2bde
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150831.183117
Firmware Date          Mon Aug 31 18:31:30 EDT 2015
Bootloader             L1TC000118D0
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK 2.5 (unaffected)
Build ID               20150831201354
Gaia Revision          c80e8ff25425b007181fd6e3de0500a0358fab37
Gaia Date              2015-08-31 16:35:09
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/cafb1c90f794a73100a8f0afb9fe3301df0f2bde
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150831.193718
Firmware Date          Mon Aug 31 19:37:26 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
Resolution: --- → WORKSFORME
Created attachment 8655255 [details]
verify_FlameKK_v2.5.mp4
You need to log in before you can comment on or make changes to this bug.